# Uses of Annotation Interface
org.springframework.format.annotation.NumberFormat

Packages that use NumberFormat
Package
Description
org.springframework.format.number
Formatters for `java.lang.Number` properties.
org.springframework.format.number.money
Integration with the JSR-354 `javax.money` package.

## Uses of NumberFormat in org.springframework.format.number

Methods in org.springframework.format.number with parameters of type NumberFormat
Modifier and Type
Method
Description
`Parser<Number>`
NumberFormatAnnotationFormatterFactory.`getParser(NumberFormat annotation, Class<?> fieldType)`
`Printer<Number>`
NumberFormatAnnotationFormatterFactory.`getPrinter(NumberFormat annotation, Class<?> fieldType)`

## Uses of NumberFormat in org.springframework.format.number.money

Methods in org.springframework.format.number.money with parameters of type NumberFormat
Modifier and Type
Method
Description
`Parser<javax.money.MonetaryAmount>`
Jsr354NumberFormatAnnotationFormatterFactory.`getParser(NumberFormat annotation, Class<?> fieldType)`
`Printer<javax.money.MonetaryAmount>`
Jsr354NumberFormatAnnotationFormatterFactory.`getPrinter(NumberFormat annotation, Class<?> fieldType)`